
#include "CommandHandler.h" 
#include "MegunoLink.h"


CommandHandler<> SerialCommandHandler;
int Loops =10 ;   

float Temp = A0;
char  Run;

char R;
char command = 0;
 
const int LEDPin = 13; 

void setup() 
{
              
  Serial.begin(9600);
             
  SerialCommandHandler.AddCommand(F("Loops"), Cmd_SetLoops)  ;
  SerialCommandHandler.AddCommand(F("Run"), Cmd_SetRun);
 
  SerialCommandHandler.SetDefaultHandler(Cmd_Unknown)          ;

  pinMode(LEDPin, OUTPUT);

}

void loop() 
{
  // Check for serial commands and dispatch them.
  SerialCommandHandler.Process();
  
  float T_value = analogRead(Temp);
  float V = T_value * (5.0/1024);
  float temperatureC = (V - 0.5) * 100;

  float L = Loops;

  if (Serial.available()){
                                  command = Serial.read();
                         }

  switch(command){
            
                          case 'R':   
              
                                      Serial.println("Running Measurement----------");
                                      Serial.println(Loops,0);
                                      
                                      for(int k =0; k<= Loops; k++){
                                      
                                      Serial.println(k);
                                      Serial.println(temperatureC);              
                                      delay(200);

                                      if(k == Loops){
                                        command = 0;
                                        break;
                                      }
                                      }
                                      
                                      break;
                 }


}   // end loop



void Cmd_SetRun(CommandParameter &Parameters)
{
  Run = Parameters.NextParameterAsInteger(Run);
}


void Cmd_SetLoops(CommandParameter &Parameters)
{
	Loops = Parameters.NextParameterAsInteger(Loops);
}


void Cmd_Unknown()
{
  Serial.println(F("I don't understand"));
}
